#!/usr/bin/env bash

APPDIR="$(dirname -- "$(readlink -f -- "${0}")" )"

###############################################################
# Determine exe
###############################################################
EXE=$(find "$APPDIR" -maxdepth 1 -executable -name "OpenSCAD*.AppImage")
EXE_CNT=$(find "$APPDIR" -maxdepth 1 -executable -name "OpenSCAD*.AppImage" | grep -c ".AppImage")
if [ $EXE_CNT -ne 1 ]; then 
  read -p "Invaid # of AppImages found: $EXE_CNT"
  exit
fi

###############################################################
# Start OpenSCAD
###############################################################

unset LD_LIBRARY_PATH
#echo "${EXE}" $* >"$APPDIR"/Cmds.txt
exec "${EXE}" $*

